agency-time

POST /v1/agency/time/rates

Set a rate.

Tutti gli endpoint agency-time

Autenticazione

Invia una chiave API come bearer token. Questo endpoint non specifica un permesso specifico nella specifica, quindi assegna alla tua chiave i permessi minimi necessari e verifica la risposta invece di fare supposizioni.

L'ID della tua organizzazione va qui

Questo endpoint accetta org_id come campo nel corpo JSON.

L'identificativo della tua organizzazione si trova nella schermata delle chiavi API nella tua dashboard, accanto alla chiave stessa. È lo stesso identificativo in ogni chiamata che effettui.

Provalo

Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.

curl -X POST https://api.zinndigital.com/v1/agency/time/rates \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "scope": <string<task, project, client, org>>, "amount_minor": <integer>, "currency": <string>, "effective_from": <string> }'

Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API

Dettagli

`amount_minor` is the price of ONE HOUR for `kind: hourly`, and the price of the whole job for `kind: fixed`. ⛔ A fixed price is billed **once** for the task it is set on, however many hours are logged against it — the minutes are still recorded and reported, they simply do not each carry money. It is not "an hourly rate of zero".

Corpo della richiesta

NomeTipoObbligatorioChe cos'è
scopestring<task, project, client, org>
scope_idstringNo
kindstring<hourly, fixed>No
amount_minorinteger
currencystring
effective_fromstring
org_idstringNo

Risposta

NomeTipoObbligatorioChe cos'è
idstring
scopestring<task, project, client, org>
scope_idstringNoThe task/project/client this applies to. `null` exactly when scope is `org`.
kindstring<hourly, fixed>
amount_minorintegerMinor units. For `hourly`, the price of ONE HOUR — ⛔ never a price per minute, and never divided by 60 anywhere on this API.
currencystring
effective_fromstringApplies to work done on or after this date. Resolution is against the **work's** date, never today, so a rate rise does not re-price last month.
archivedboolean

Errori che questo endpoint può restituire

401 · 403 · 422